GCUBETemplate1Text1ImageML (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.guidedtour.client.steps
Class GCUBETemplate1Text1ImageML

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.user.guidedtour.client.steps.TourStep
                      org.gcube.portlets.user.guidedtour.client.steps.GCUBETemplate1Text1ImageML

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public abstract class GCUBETemplate1Text1ImageML

extends TourStep

Version:
  1.1 FEB 7th 2012
Author:
  Massimiliano Assante ISTI-CNR

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class org.gcube.portlets.user.guidedtour.client.steps.TourStep
`textHtml, title, topImage`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`GCUBETemplate1Text1ImageML()`
`GCUBETemplate1Text1ImageML(boolean showTitle)`

Method Summary
`abstract HashMap<TourLanguage,String>` | `setStepBody()`
`abstract String` | `setStepImage()`
`abstract HashMap<TourLanguage,String>` | `setStepTitle()`
`protected void` | `setTheBody()`
`protected void` | `setTheImage()`
`protected void` | `setTheTitle()`
`void` | `switchLanguage(TourLanguage language)`

Methods inherited from class org.gcube.portlets.user.guidedtour.client.steps.TourStep
`commit, getTitle, getTitleElement, isShowTitle, setTextVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GCUBETemplate1Text1ImageML

    public GCUBETemplate1Text1ImageML()

### GCUBETemplate1Text1ImageML

    public GCUBETemplate1Text1ImageML(boolean showTitle)

Method Detail

### setStepTitle

    public abstract HashMap<TourLanguage,String> setStepTitle()

### setStepBody

    public abstract HashMap<TourLanguage,String> setStepBody()

### setStepImage

    public abstract String setStepImage()

### switchLanguage

    public void switchLanguage(TourLanguage language)

  Overrides:
    `switchLanguage` in class `TourStep`

### setTheTitle

    protected void setTheTitle()

  Specified by:
    `setTheTitle` in class `TourStep`

### setTheBody

    protected void setTheBody()

  Specified by:
    `setTheBody` in class `TourStep`

### setTheImage

    protected void setTheImage()

  Specified by:
    `setTheImage` in class `TourStep`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.